The GeoMapFish DataSources Manager is responsible of listening to the c2cgeoportal's themes to create instances of `ngeo.datasource.DataSource` objects with the layer definitions found and push them in the `DataSources` collection. The Manager must be initialized with the app's map using the `setDatasourceMap()` method.

When changing theme, these data sources are cleared then re-created.

Used metadata:

- `identifierAttributeField`: The field used in the 'display query window' as feature title. For WMS layers.

### Hierarchy

- DatasourceManager

## Index

### Constructors

- constructor

## Constructors

### constructor

- new DatasourceManager($q: IQService, $rootScope: IScope, $timeout: ITimeoutService, gmfThemes: ThemesService, gmfTreeManager: LayertreeTreeManager, ngeoBackgroundLayerMgr: MapBackgroundLayerManager, ngeoDataSources: DataSource, ngeoLayerHelper: LayerHelper, ngeoRuleHelper: RuleHelper, ngeoWMSTime: WMSTime, gmfWFSAliases: DatasourceWFSAlias): DatasourceManager

- - Defined in contribs/gmf/src/datasource/Manager.js:60
  nginject
  ngdoc

    service

  ngname

    gmfDataSourcesManager

  #### Parameters

  - ##### $q: IQService

    Angular q service

  - ##### $rootScope: IScope

    Angular rootScope.

  - ##### $timeout: ITimeoutService

    Angular timeout service.

  - ##### gmfThemes: ThemesService

    The gmf Themes service.

  - ##### gmfTreeManager: LayertreeTreeManager

    The gmf TreeManager service.

  - ##### ngeoBackgroundLayerMgr: MapBackgroundLayerManager

    Background layer manager.

  - ##### ngeoDataSources: DataSource

    Ngeo data sources service. data sources service.

  - ##### ngeoLayerHelper: LayerHelper

    Ngeo Layer Helper.

  - ##### ngeoRuleHelper: RuleHelper

    Ngeo rule helper service.

  - ##### ngeoWMSTime: WMSTime

    wms time service.

  - ##### gmfWFSAliases: DatasourceWFSAlias

    Gmf WFS aliases service.

  #### Returns DatasourceManager

Generated using TypeDoc